Draft feedback, assign practice, or ask for help
POST
/v1/workspace/coaching
const url = 'https://api.vocapable.com/v1/workspace/coaching';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"kind":"feedback","subject_user_id":"example","call_id":"example","body":"example","scenario_pack_id":"example","scenario_version":1,"scenario_source_index":1}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.vocapable.com/v1/workspace/coaching \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "kind": "feedback", "subject_user_id": "example", "call_id": "example", "body": "example", "scenario_pack_id": "example", "scenario_version": 1, "scenario_source_index": 1 }'Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
Responses
Section titled “Responses”Successful Response
Media typeapplication/json
WorkspaceCoachingItem
object
id
required
Id
string
subject
required
WorkspacePersonRef
A teammate named on a record: the id the server holds and the name to show.
object
user_id
required
User Id
string
name
required
Name
string
author
required
Any of:
WorkspacePersonRef
A teammate named on a record: the id the server holds and the name to show.
object
user_id
required
User Id
string
name
required
Name
string
null
kind
required
Kind
string
status
required
Status
string
call
required
Any of:
WorkspaceCoachingCall
object
id
required
Id
string
direction
required
Direction
string
null
scenario
required
Any of:
WorkspacePracticeScenario
An approved answer from company knowledge, used as a practice scenario.
object
pack_id
required
Pack Id
string
pack_name
required
Pack Name
string
version
required
Version
integer
source_index
required
Source Index
integer
label
required
Label
string
text
required
Text
string
null
revision
required
Revision
integer
created_at
required
Created At
string format: date-time
updated_at
required
Updated At
string format: date-time
actions
required
Actions
Array<string>
Example
{ "kind": "suggested_review", "status": "suggested", "actions": [ "share" ]}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}